autopilot (1.6.1+21.04.20210120-0ubuntu17) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:53:17 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu16) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 09:45:21 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu15) oracular; urgency=medium

  * No change rebuild to ensure noble SRU is earlier (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 02 Sep 2024 10:58:50 +0100

autopilot (1.6.1+21.04.20210120-0ubuntu14) noble; urgency=medium

  * Switch to dpkg source format 3.0 (quilt)
  * Fix test_launch_application_attempts_launch_uris_as_manager_first

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 15 Apr 2024 14:39:50 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu13) noble; urgency=medium

  * Change assertRaisesRegexp into assertRaisesRegex to fix a test failure
    due to deprecation warning

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 13:37:49 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu12) noble; urgency=medium

  * Update called_once_with in assert_called_once_with to fix a test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 12:51:13 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu11) noble; urgency=medium

  * Add python3-zombie-imp dependency, removed in Python3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 10:21:45 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu10) noble; urgency=high

  * No change rebuild against liblttng-ust1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:57:58 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu9) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 18:03:59 +0100

autopilot (1.6.1+21.04.20210120-0ubuntu8) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 12:32:37 -0500

autopilot (1.6.1+21.04.20210120-0ubuntu7) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 15:27:53 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:13 +0100

autopilot (1.6.1+21.04.20210120-0ubuntu5) jammy; urgency=medium

  * No-change rebuild against liblttng-ust1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Jan 2022 22:35:03 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu4) jammy; urgency=medium

  * No-change rebuild with fixed py3versions

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Nov 2021 08:24:48 +0000

autopilot (1.6.1+21.04.20210120-0ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 13:33:15 +0200

autopilot (1.6.1+21.04.20210120-0ubuntu1) hirsute; urgency=medium

  [ Iain Lane ]
  * debian/python3-autopilot.postinst: Allow udev trigger to fail. The rule
    might not be runnable, e.g. in unprivileged containers, but this should
    not be fatal to installation.

  [ Marco Trevisan (Treviño) ]
  * Bump revision to 1.6.1

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 20 Jan 2021 17:25:32 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu13) hirsute; urgency=medium

  * Drop mir-utils dependency; these clients are no longer supported by Mir
    2.0. The codepaths that use them are inaccessible, as the archive's Mir no
    longer provides mirclient sockets, used for the mir XDG_SESSION_TYPE.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Jan 2021 08:27:40 +1100

autopilot (1.6.0+17.04.20170313-0ubuntu12) hirsute; urgency=medium

  * Fix ftbfs with python3.9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Dec 2020 17:42:06 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu11) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:46:19 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu10) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 13:17:32 +0200

autopilot (1.6.0+17.04.20170313-0ubuntu9) groovy; urgency=medium

  * Drop upstart, click, ubuntu-app-launch support. All of those things
    are removed from the Ubuntu Archive.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Jun 2020 14:10:05 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu8) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:48 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu7) focal; urgency=medium

  * autopilot-vis has been removed, so removed test_vis_main which depends on
    python-windowmocker which required qt4. Drop the dependency on
    python-windowmocker.
  * Updated Vcs

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Sun, 09 Feb 2020 09:31:00 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu6) focal; urgency=medium

  * Drop dvipng build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 04:19:11 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu5) focal; urgency=medium

  * Drop autopilot-qt dependencies, as qt4 is going away and autopilot-qt
    ftbfs against new qt5 but is also unused.
  * Drop building documentation sphinx errors.
  * Tweak test-suite assertions.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 03:42:25 +0000

autopilot (1.6.0+17.04.20170313-0ubuntu3) artful; urgency=medium

  * Cherrypick upstream fix for tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Apr 2017 11:03:59 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu2) artful; urgency=medium

  * Drop upstart build-dep, as it is going away.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Apr 2017 10:29:11 +0100

autopilot (1.6.0+17.04.20170313-0ubuntu1) zesty; urgency=medium

  [ Tarmac ]
  * New release

 -- Jean-Baptiste Lallement <jeanbaptiste.lallement@gmail.com>  Mon, 13 Mar 2017 17:21:58 +0000

autopilot (1.6.0+17.04.20170302-0ubuntu1) zesty; urgency=medium

  [ Santiago Baldassin, Tarmac ]
  * New upstream release.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Thu, 02 Mar 2017 18:50:40 +0000

autopilot (1.6.0+16.10.20160818.1-0ubuntu1) yakkety; urgency=medium

  * Autopilot proxy object
    - Update: select_many() method to optionally return sorted results.
    - New: get_path() to get object path in autopilot tree.
    - New: wait_until_not_moving() block till object stops moving.
    - New: wait_select_many() method.
  * Introspection helper methods addition
    - is_element() to check existence of a proxy object.
    - get_path_root() to get root path of a proxy object.
    - get_proxy_object_for_existing_process_by_name().

 -- Omer Akram <om26er@ubuntu.com>  Thu, 18 Aug 2016 19:24:27 +0000

autopilot (1.5.1+16.04.20160428-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Make the s in seconds lower case.

 -- Max Brustkern <ci-train-bot@canonical.com>  Thu, 28 Apr 2016 19:12:42 +0000

autopilot (1.5.1+16.04.20160412-0ubuntu1) xenial; urgency=medium

  * Bug fix for process search using PIDs (lp:1569079). (LP: #1569079)

 -- Christopher Lee <ci-train-bot@canonical.com>  Tue, 12 Apr 2016 04:08:58 +0000

autopilot (1.5.1+16.04.20160229-0ubuntu1) xenial; urgency=medium

  [ Andrea Cerisara, Iain Lane ]
  * Bugfix for lp:1308330 Simplify X11 mouse move_to_point. (LP:
    #1308330)

 -- Christopher Lee <ci-train-bot@canonical.com>  Mon, 29 Feb 2016 21:55:05 +0000

autopilot (1.5.1+16.04.20151209-0ubuntu2) xenial; urgency=medium

  * psutil.Process.get_children is removed, use children instead

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 22 Jan 2016 17:44:56 +0000

autopilot (1.5.1+16.04.20151209-0ubuntu1) xenial; urgency=medium

  * Stops attempts to access NoneType instead of bytes''. Considered a
    workaround, fixed in newer testtools.

 -- Christopher Lee <ci-train-bot@canonical.com>  Wed, 09 Dec 2015 05:36:03 +0000

autopilot (1.5.1+15.10.20150908-0ubuntu1) wily; urgency=medium

  * Add functionality to the click app launcher use use a custom
    launcher class.

 -- Christopher Lee <ci-train-bot@canonical.com>  Tue, 08 Sep 2015 04:18:25 +0000

autopilot (1.5.1+15.10.20150902.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Christopher Lee ]
  * Flake8 fix for FTBFS due to new flake8.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 02 Sep 2015 03:33:27 +0000

autopilot (1.5.1+15.10.20150731-0ubuntu1) wily; urgency=medium

  [ Christopher Lee ]
  * Fix Bug #1337004. Allow custom proxy classes to have different class
    names to the application objects. (LP: #1337004)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 31 Jul 2015 02:39:56 +0000

autopilot (1.5.1+15.10.20150723-0ubuntu1) wily; urgency=medium

  [ Christopher Lee ]
  * Bug fixes including updated dependencies.

  [ Ken VanDine ]
  * Bug fixes including updated dependencies.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 23 Jul 2015 14:39:21 +0000

autopilot (1.5.1+15.10.20150716-0ubuntu1) wily; urgency=medium

  [ Christopher Lee ]
  * Add window manager support for autopilot sandbox run, fixes LP:1379508
  * Add fixture that forces a gsetting for unity8 so that OSK is shown even
    when a UInput keyboard is present.
  * Fix unit test failures on Wily

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 16 Jul 2015 04:38:49 +0000

autopilot (1.5.1+15.04.20150708-0ubuntu1) vivid; urgency=medium

  [ Christopher Lee ]
  * Create correct touch device at creation to stop unity8 erroneously
    changing to windowed mode. (Fixes lp:1471598).

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Jul 2015 03:44:43 +0000

autopilot (1.5.1+15.04.20150522-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Christopher Lee, Federico Gimenez, Leo Arias, Richard Huddie, Vincent Ladeuil ]
  * Bug fixes for logging (debug level now -vv) and application of CPO
    bases for proxy objects. (LP: #1425721, #1376996, #1420949)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 22 May 2015 16:54:03 +0000

autopilot (1.5.0+15.04.20150408-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Bug fixes related to improving automated runs.

  [ Christopher Lee ]
  * Bug fixes related to improving automated runs.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Apr 2015 15:07:28 +0000

autopilot (1.5.0+15.04.20150323-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Christopher Lee ]
  * Bugfix for Touch pointer pressed. Packaging req. due to python3-xlib
    bug.

  [ Leo Arias ]
  * Bugfix for Touch pointer pressed. Packaging req. due to python3-xlib
    bug.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 23 Mar 2015 09:34:31 +0000

autopilot (1.5.0+15.04.20150226.1-0ubuntu1) vivid; urgency=medium

  [ Christopher Lee ]
  * Fix for desktop file name change (lp:1411096)
    Fix for config value containing '=' char (lp:1408317)
    Fix for skipped tests not appearing in log (lp:1414632)
    Add json docs build (for web publish) (lp:1409778)
    Documentation improvements for API, Tutorial, FAQ, and Guidelines

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 26 Feb 2015 22:47:35 +0000

autopilot (1.5.0+15.04.20141031-0ubuntu1) vivid; urgency=low

  [ Thomi Richards ]
  * Autopilot release: - Add support for large timestamps - Add per-test
    timeouts - Add press duration to touch clicks - Improved logging -
    Make own autopilot functional test runnable with testtools runner.

  [ Leo Arias ]
  * Autopilot release: - Add support for large timestamps - Add per-test
    timeouts - Add press duration to touch clicks - Improved logging -
    Make own autopilot functional test runnable with testtools runner.

  [ Leonardo Arias Fonseca ]
  * Autopilot release: - Add support for large timestamps - Add per-test
    timeouts - Add press duration to touch clicks - Improved logging -
    Make own autopilot functional test runnable with testtools runner.

  [ Christopher Lee ]
  * Autopilot release: - Add support for large timestamps - Add per-test
    timeouts - Add press duration to touch clicks - Improved logging -
    Make own autopilot functional test runnable with testtools runner.

  [ nskaggs ]
  * Autopilot release: - Add support for large timestamps - Add per-test
    timeouts - Add press duration to touch clicks - Improved logging -
    Make own autopilot functional test runnable with testtools runner.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Oct 2014 21:50:09 +0000

autopilot (1.5.0+14.10.20141022~rtm-0ubuntu1) 14.09; urgency=low

  [ Christopher Lee ]
  * Make autopilot-touch a meta package by removing the apparmor file
    install rules

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 Oct 2014 21:11:30 +0000

autopilot (1.5.0+14.10.20140812-0ubuntu1) utopic; urgency=low

  [ Thomi Richards ]
  * Release of Autopilot. Bugfix for lp:1306330 & lp:1348399 (LP:
    #1306330, #1078732, #1348399)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 09:53:34 +0000

autopilot (1.5.0+14.10.20140806.1-0ubuntu1) utopic; urgency=medium

  [ Christopher Lee ]
  [Thomi Richards]
  * Fix the development make_coverage.py script.
  * Remove the python3-six dependency.

  [Max Brustkern]
  * Remove python2 compatibility code from autopilot.

  [Christopher Lee]
  * Add the ability to take screenshots with a test run.
    Automatically takes a screenshot on a failing test.
    Fixes: https://bugs.launchpad.net/bugs/1308762.

  [Corey Goldberg]
  * Refactor video recording code.

  [Martin Pitt]
  * Replace group membership based access to /dev/uinput with dynamic ACLs
    for the current foreground session, and drop the /dev/autopilot-uinput
    symlink and "autopilot" group.
    Fixes: https://bugs.launchpad.net/bugs/1350263.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 01:20:38 +0000

autopilot (1.5.0+14.10.20140716-0ubuntu2) utopic; urgency=medium

  * autopilot-touch: depend on autopilot-qt5 and qttestability-autopilot
    instead of libautopilot-qt.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Aug 2014 01:28:37 +0200

autopilot (1.5.0+14.10.20140716-0ubuntu1) utopic; urgency=low

  [ Thomi Richards ]
  * Bug Fix: Attaching binary files to test results Bug Fix: Revert
    NormalApplicationLauncher launch arg (cwd -> launch_dir) Flake8: Fix
    for updated pep8 Build: Fix build deps for Trusty Feature: Adding
    screenshot ability Feature: Terse logging output. (LP: #1078732)

  [ Christopher Lee ]
  * Bug Fix: Attaching binary files to test results Bug Fix: Revert
    NormalApplicationLauncher launch arg (cwd -> launch_dir) Flake8: Fix
    for updated pep8 Build: Fix build deps for Trusty Feature: Adding
    screenshot ability Feature: Terse logging output. (LP: #1078732)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Jul 2014 02:57:50 +0000

autopilot (1.5.0+14.10.20140613-0ubuntu1) utopic; urgency=low

  [ Tarmac ]
  * Fix DateTime tests that failed due to recent DateTime changes that
    removed assumption of UTC TZ. (LP: #1324441, #1327377)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 13 Jun 2014 00:31:08 +0000

autopilot (1.5.0+14.10.20140601-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Name change for UAL

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 01 Jun 2014 21:22:28 +0000

autopilot (1.5.0+14.10.20140526.1-0ubuntu1) utopic; urgency=low

  [ Tarmac ]
  * Add fixtures for launching applications. (LP: #1322033, #1291531,
    #1320149)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 May 2014 12:50:10 +0000

autopilot (1.5.0+14.10.20140509-0ubuntu1) utopic; urgency=low

  [ Thomi Richards ]
  * Remove python2 packages and dependencies, as they're now handled by the
    autopilot-legacy source package. (lp: #1308661)
  * Autopilot vis tool can now search the introspection tree. (lp: #1097392)
  * Autopilot vis tool can now draw a transparent overlay over the selected
    widget.
  * Autopilot vis tool now shows the root of the introspection tree (lp: #1298600)
  * Autopilot vis tool can now be launched from the unity dash.
  * Autopilot test runner now has a man page installed.
  * Autopilot introspection package now has a cleaner API.
  * Don't leak temporary files when recording tests on the desktop (lp: #1187856)
  * Use a more accurate timer within autopilot.
  * Autopilot uses server-side parameter matching when selecting children (lp :#1214246)
  * Test result artifacts are no longer overwritten when more than one artifact with
    the same name is added to a test result (lp: #1214246)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 May 2014 00:48:14 +0000

autopilot (1.4+14.04.20140416-0ubuntu1) trusty; urgency=low

  [ Francis Ginther ]
  * Revert r480 to restore python2 packages as autopilot-touch
    dependencies as not all tests have been updated. (LP: #1308661)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Apr 2014 19:55:48 +0000

autopilot (1.4+14.04.20140415-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Treat an upstart 'app focus' event like a successful app launch.
    (LP: #1307489)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 00:12:05 +0000

autopilot (1.4+14.04.20140410-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Remove python2 from the autopilot-touch metapackage.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 20:51:07 +0000

autopilot (1.4+14.04.20140409-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Ensure autopilot waits for upstart applications to end before ending
    the test. (LP: #1305320)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Apr 2014 22:15:25 +0000

autopilot (1.4+14.04.20140408-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Fix flake8 errors in trunk.
  * Make the make-coverage.sh script exit non-0 when tests fail.
  * Don't abort print_tree when we catch the StateNotFoundError
    exception. (LP: #1276672)
  * Tweak the vis tool so the splitter between the tree widget and the
    properties pane cannot be completely dragged to one side or the
    other. (LP: #1281360)
  * Fix functional test that was very dependant on timing. (LP:
    #1301005)
  * Make logger objects within autopilot private.

  [ Nicholas Skaggs ]
  * Don't abort print_tree when we catch the StateNotFoundError
    exception. (LP: #1276672)

  [ Corey Goldberg ]
  * When no tests are found, display "Did not find any tests" and exit,
    instead of invoking the runner. (LP: #1282995)
  * Fix functional test that was very dependant on timing. (LP:
    #1301005)

  [ nskaggs ]
  * Don't abort print_tree when we catch the StateNotFoundError
    exception. (LP: #1276672)

  [ Max Brustkern ]
  * Update documentation to reflect new terminology (LP:1288054) (LP:
    #1288054)
  * Make logger objects within autopilot private.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Apr 2014 00:29:56 +0000

autopilot (1.4+14.04.20140401-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Make the --enable-profile option for all autopilot commands.
  * Refactor introspection code to make the vis tool call only
    asynchronous dbus calls.
  * Optimisations for print_tree method.

  [ Leo Arias ]
  * Added a window resize for the BAMF process helper.

  [ Christopher Lee ]
  * Move functionality out of __init__.py
  * Add workaround for bug lp:1297592 by creating Touch device in
    AutopilotTestCase setUp. (LP: #1297592)
  * Fixes some functional tests that were failing on the devices. (skip
    Gtk, use desktop file hint for the qt one).

  [ Max Brustkern ]
  * Move functionality out of __init__.py
  * Additional pep257 changes.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Apr 2014 01:30:45 +0000

autopilot (1.4+14.04.20140319.1-0ubuntu2) trusty; urgency=medium

  * Add python-gi and python3-gi dependencies which provide gi.repository
    modules. (since gir1.2-upstart-app-launch is accessed via
    gi.repository)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 22 Mar 2014 18:18:46 +0000

autopilot (1.4+14.04.20140319.1-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Launch upstart and click applications via upstart app launch.

  [ Max Brustkern ]
  * PEP257 docstring fixes.
  * Autopilot emulators can declare a validate_dbus_object class method
    that takes a dbus path and state as arguments. (LP:1210260) (LP:
    #1210260)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 20:13:30 +0000

autopilot (1.4+14.04.20140311-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Fix unicode error in key/value xpathselect encoding.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 18:18:06 +0000

autopilot (1.4+14.04.20140310.1-0ubuntu1) trusty; urgency=low

  *

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Mar 2014 19:39:00 +0000

autopilot (1.4+14.04.20140303.is.1.4+14.04.20140219-0ubuntu1) trusty; urgency=medium

  * Revert to previous version as it creates some AP tests to fail.
    Autopilot was part of the autopilot-qt transaction, so reverting that one
    as well to have a tested combination. (LP: #1287727)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Mar 2014 15:53:30 +0100

autopilot (1.4+14.04.20140303-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Prepare functional tests so that they can run on a device (Skips any
    that cannot run on a device).
  * Make proxy object attributes look more pythonic when calling
    repr(...) or str(...) on them. (LP: #1279977)

  [ Nicholas Skaggs ]
  * Fix the veribage for statenotfound errors, fixes
    https://bugs.launchpad.net/autopilot/+bug/1269649 (LP: #1269649)

  [ nskaggs ]
  * Fix the veribage for statenotfound errors, fixes
    https://bugs.launchpad.net/autopilot/+bug/1269649 (LP: #1269649)

  [ Christopher Lee ]
  * Prepare functional tests so that they can run on a device (Skips any
    that cannot run on a device).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Mar 2014 04:38:08 +0000

autopilot (1.4+14.04.20140219-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Vis tool improvements for self-testing: Added ability for vis tool
    to be run with testability enabled, and able to be profiled. (LP:
    #1279944)
  * Add a decorator that makes it easy to write compatible __repr__
    functions in both python 2.x and 3.x.

  [ Leo Arias ]
  * Refactor the _uinput module to avoid side-effects when we import it.
  * Added Mouse, Touch and Pointer drags with rate. (LP: #1257055)

  [ Max Brustkern ]
  * Handle trailing slashes on suites. (LP: #1199088)

  [ Christopher Lee ]
  * Fix import error in functional test
    test_bamf_geometry_gives_reliable_results. (LP: #1281253)

  [ CI bot ]
  * Fix test_command_line_args issues with python 3.4. (LP: #1281733)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Feb 2014 21:41:38 +0000

autopilot (1.4+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Fix bamf geometry property.
  * Fix subunit output when outputting to a file instead of stdout. (LP:
    #1279507)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 03:11:50 +0000

autopilot (1.4+14.04.20140212-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Christopher Lee ]
  * Deprecating the use of AutopilotTestCase.pick_app_launcher
  * Fix a regression in the "autopilot launch" command which meant that
    application arguments were taken as the application to launch. (LP:
    #1275913)

  [ Thomi Richards ]
  * Remove ibus.py from autopilot, as it should live in lp:unity. (LP:
    #1210661)
  * Add unit tests to the autopilot.run module.
  * Refactor parts of the 'autopilot.run' module, adding unit tests and
    simplifying the code along the way.
  * Fix docs WRT Eventually matcher's interaction with Raises() matcher.
    (LP: #1244490)
  * Get display resolution using fbset, falling back to hard coded
    values based on image codename on phablet devices.
  * Fix functional tests that started failing when window-mocker
    changed. (LP: #1278187)
  * Add unit tests for missing coverage on code that picks device
    backends at runtime.
  * Fix a bug where autopilot didn't do the right thing with non-unicode
    valid bytestrings. (LP: #1278272)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Feb 2014 01:14:02 +0000

autopilot (1.4+14.04.20140129-0ubuntu1) trusty; urgency=low

  [ Barry Warsaw ]
  * Make Autopilot tracepoint extension module compatible with python 3.
    (LP: #1266574)

  [ Steve Langasek ]
  * Fix the autopilot-touch package to be Architecture: all instead of
    having it be Architecture: any with a wrong architecture exclusion
    of a dependency.

  [ Christopher Lee ]
  * Handle xml parse exception nicely as well as add some nicer
    logging/feedback.
  * Fixes issues with load_test_suite_from_name.
  * Make autopilot able to run it's own tests again.
  * When setting up logging take into account not all modes/commands
    have a verbose argument.
  * Fixes the issue when listing an non-existent test suite raised an
    uncaught exception. .
  * Minor fix for a failing functional test, now passes under python 2
    and 3.
  * Minor fixup of TypeError in platform docs re: skipping tests.
  * Add details to Faq docs re: launching (click) applications. (LP:
    #1257148)
  * Refactor of the application launching code (incl. tests).
  * Fix issue with launching click app and added test to cover it.
  * Ensure test discovery looks and uses cwd before system path.
  * Attempts to use the newer version call to 'launch_uris_as_manager',
    falls back to the simpler 'launch_uris' if that fails.
  * Click applications now provide application_name to
    get_proxy_object_for_existing_process. (LP: #1274292)

  [ Thomi Richards ]
  * Fix tox.ini config file to restrict flake8 runs to the autopilot/
    directory.
  * Make autopilot fail when no command is specified. (LP: #1255334)
  * Move the contents of the 'autopilot' script into autopilot/run.py,
    and make setuptools generate the autopilot script for us.
  * Make autopilot understand how the "-qt=XXX" option works. (LP:
    #1255405)
  * Handle xml parse exception nicely as well as add some nicer
    logging/feedback.
  * Fix autopilot test case loading. (LP: #1255752, #1255659)
  * Move the BackendException class to solve a circular import.
  * Make autopilot support subunit bytestream output. (LP: #1255662)
  * Make autopilot able to run it's own tests again.
  * Remove an incorrect comment from the source code.
  * Fix some unit tests that were printing to stdout.
  * Lay the groundwork for attaching files to test results.
  * Fix failing tests in python3.
  * Add click package log file to test result. (LP: #1257453)
  * Add a simple shell script that can be used to generate unit test
    coverage for autopilot itself.
  * Add unit tests for common input code.
  * Remove some unused code code in the type support unit tests.
  * Don't include test lines in coverage count.
  * Add a few missing test cases, increase test case coverage.
  * Add unit tests for process snapshot support.
  * A few tweaks to the make_coverage script to make it a bit more
    useful.
  * Fix issue with launching click app and added test to cover it.
  * Add suppoprt for debugging profiles to autopilot.
  * Add ability to control autopilot timeout values from the command
    line. Refactor code so I can add testing to autopilot run module.
  * Fix flake8 warnings.
  * Fix Eventually matcher so it can correctly match against complex
    types. (LP: #1269984)
  * Improve the error message in the ProcessSearchError exception. (LP:
    #1239427)

  [ Martin Pitt ]
  * Fix initialization of GdkDisplay, to fix crash when accessing
    Window.geometry. (LP: #1258170)
  * tests: Ensure we don't leave remmina and other processes open. (LP:
    #1259721)
  * Don't inherit our stdout to spawned processes, to allow users to
    redirect autopilot's stdout to tee and other programs which wait for
    EOF. (LP: #1259721)
  * Fix functional tests to actually run against the build tree again,
    and fix some of their failures.

  [ Sergio Schvezov ]
  * The generic goldfish target as a upa device.
  * Adding APP_URIS parameter to Click package launching.

  [ Dimitri John Ledkov ]
  * Fix emulator template screen size.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 29 Jan 2014 21:30:58 +0000

autopilot (1.4+14.04.20140123.1-0ubuntu1) trusty; urgency=low

  [ Barry Warsaw ]
  * Make Autopilot tracepoint extension module compatible with python 3.
    (LP: #1266574)

  [ Christopher Lee ]
  * Handle xml parse exception nicely as well as add some nicer
    logging/feedback.
  * Fixes issues with load_test_suite_from_name.
  * Make autopilot able to run it's own tests again.
  * When setting up logging take into account not all modes/commands
    have a verbose argument.
  * Fixes the issue when listing an non-existent test suite raised an
    uncaught exception. .
  * Minor fix for a failing functional test, now passes under python 2
    and 3.
  * Minor fixup of TypeError in platform docs re: skipping tests.
  * Add details to Faq docs re: launching (click) applications. (LP:
    #1257148)
  * Refactor of the application launching code (incl. tests).
  * Fix issue with launching click app and added 100% unit test to cover
    it.
  * Fixes the issue where test discovery gets confused when there are
    local (in cwd) and system installed tests.

  [ Thomi Richards ]
  * Fix tox.ini config file to restrict flake8 runs to the autopilot/
    directory.
  * Make autopilot fail when no command is specified. (LP: #1255334)
  * Move the contents of the 'autopilot' script into autopilot/run.py,
    and make setuptools generate the autopilot script for us.
  * Make autopilot understand how the "-qt=XXX" option works. (LP:
    #1255405)
  * Handle xml parse exception nicely as well as add some nicer
    logging/feedback.
  * Fix autopilot test case loading. (LP: #1255752, #1255659)
  * Move the BackendException class to solve a circular import.
  * Make autopilot support subunit bytestream output. (LP: #1255662)
  * Make autopilot able to run it's own tests again.
  * Remove an incorrect comment from the source code.
  * Fix some unit tests that were printing to stdout.
  * Lay the groundwork for attaching files to test results.
  * Fix failing tests in python3.
  * Add click package log file to test result. (LP: #1257453)
  * Add a simple shell script that can be used to generate unit test
    coverage for autopilot itself.
  * Add unit tests for common input code.
  * Remove some unused code code in the type support unit tests.
  * Don't include test lines in coverage count.
  * Add a few missing test cases, increase test case coverage.
  * Add unit tests for process snapshot support.
  * A few tweaks to the make_coverage script to make it a bit more
    useful.
  * Fix issue with launching click app and added 100% unit test to cover
    it.
  * Fix eventually matcher so it can match against complex types. (LP:
    #1269984)

  [ Martin Pitt ]
  * Fix initialization of GdkDisplay, to fix crash when accessing
    Window.geometry. (LP: #1258170)
  * tests: Ensure we don't leave remmina and other processes open. (LP:
    #1259721)
  * Don't inherit our stdout to spawned processes, to allow users to
    redirect autopilot's stdout to tee and other programs which wait for
    EOF. (LP: #1259721)
  * Fix functional tests to actually run against the build tree again,
    and fix some of their failures.

  [ Sergio Schvezov ]
  * The generic goldfish target as a upa device.

  [ Dimitri John Ledkov ]
  * Fix emulator template screen size.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 Jan 2014 23:21:34 +0000

autopilot (1.4+14.04.20131125-0ubuntu4) trusty; urgency=medium

  * Seed python3-autopilots on ubuntu touch by default.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jan 2014 00:00:18 +0000

autopilot (1.4+14.04.20131125-0ubuntu3) trusty; urgency=low

  * Cherry-pick resolution constants for the default emulator skin.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 13:12:58 +0000

autopilot (1.4+14.04.20131125-0ubuntu2) trusty; urgency=low

  * No-change rebuild for ust.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 06 Dec 2013 15:08:24 -0500

autopilot (1.4+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Leo Arias ]
  * On the log_action decorator, do not duplicate the ending period.
    (LP: #1248751)

  [ Robert Bruce Park ]
  * Rename autopilot-py3 to more conventional autopilot3.
  * Drop dependency on python-ubuntu-platform-api, since it does not
    support python3.

  [ Christopher Lee ]
  * Update the osk keyboard backend. . (LP: #1243477)

  [ Thomi Richards ]
  * Add more documentation around object ordering. (LP: #1248336)
  * Add method to wait for a proxy object to be destroyed. (LP:
    #1248782)
  * Fix a bug in the autopilot type system, and add missing unit tests
    for that issue. (LP: #1249096)
  * Add a mockable sleep, so we can run autopilot unit tests quickly.

  [ Martin Pitt ]
  * Add print_tree() introspection method for writing a textual
    representation of the object and all of its children to stdout, a
    file object, or a file name. (LP: #1241323)

  [ Corey Goldberg ]
  * added failfast (-ff|--failfast) command line option to autopilot
    run. (LP: #1248634)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 368

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 06:30:17 +0000

autopilot (1.4+14.04.20131106.1-0ubuntu1) trusty; urgency=low

  [ Jean-Baptiste Lallement ]
  * Forward port changes from 1.3.

  [ Marco Trevisan (Treviño) ]
  * Bamf: pass Gdk.Display to GdkX11.X11Window.foreign_new_for_display.
    (LP: #1234478)

  [ Automatic PS uploader ]
  * Remove a spurious log message. (LP: #1227852)

  [ Andy Doan ]
  * Forward port changes from 1.3.

  [ Jamie Strandboge ]
  * Forward port apparmor rules and functional test fixes.

  [ Christopher Lee ]
  * Forward port changes from 1.3.
  * Backout additions for logging when a process dies.
  * Update the autopilot funcational tests so they work under python 3.
    (LP: #1232973)
  * Changes how the proxy objects are created so the inheritance is
    correct . (LP: #1230046)
  * Keyboard backends: Add alias so Backspace and BackSpace work. . (LP:
    #1237675)
  * Fixes issue where a classes _Backend can be None causes uncaught
    exceptions. (LP: #1233972)
  * Add details to select_many docs re: order of objects returned not
    guaranteed. (LP: #1248336)

  [ Thomi Richards ]
  * Forward port changes from 1.3.
  * Remove a spurious log message. (LP: #1227852)
  * Forward port apparmor rules and functional test fixes.
  * Fix a missing test dependency, and add more logging when a process
    exits before we find the introspection interface.
  * Fix 1.4 documentation to include type ids in the examples. (LP:
    #1230038)
  * Forward port wait_select_single method (and associated changes &
    tests) to 1.4. (LP: #1231694)
  * Update autopilot documentation to fix porting guide, and add several
    objects to the documentation index. (LP: #1231690, #1230038)
  * Add support for 3D points. (LP: #1227131)
  * Make the default help text more useful. (LP: #1224771)
  * Add a warning when an autopilot query returns many items, and should
    probably be optimised. (LP: #1227830)
  * Update packaging details so upgrading from 1.3 -> 1.4 is seamless.
    (LP: #1227797)
  * Log an 'info' message when we set an environment variable, and when
    we delete one. (LP: #1236097)
  * Changes how the proxy objects are created so the inheritance is
    correct . (LP: #1230046)
  * Fixes issue where a classes _Backend can be None causes uncaught
    exceptions. (LP: #1233972)
  * Make client-side attribute reprs the same as their python types.
    (LP: #1237039)
  * Use the 'six' python module to help us get python 2/3 compatibility,
    rather than rolling our own. (LP: #1238257)
  * Fix documentation next/prev links. (LP: #1231690, #1239493,
    #1230038)
  * Add documentation for the autopilot type support for 3D points.

  [ Martin Pitt ]
  * Forward port changes from 1.3.

  [ Corey Goldberg ]
  * add tox config and packaging fixes.
  * added flake8 static test from tox and fixed lint errors.
  * unit tests only from tox.
  * make sphinx docs pretty.
  * updates and minor fixes to documentation. also added a short README.

  [ Leo Arias ]
  * Added the logging annotation to be used on emulators.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 357

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 10:04:12 +0000

autopilot (1.4+14.04.20130917ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Fix powerpc dependency issue. (LP: #1223044)

  [ Marco Trevisan (Treviño) ]
  * keybindings: add unity window/{left,right}_maximize key binding.
    (LP: #992697)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 325 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 17 Sep 2013 04:24:51 +0000

autopilot (1.4-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Update to new DBus wire protocol, bump autopilot version number.

 -- Thomi Richards <thomi.richards@canonical.com>  Fri, 16 Aug 2013 08:47:12 +1200

autopilot (1.3.1+13.10.20131003.1-0ubuntu2) trusty; urgency=low

  * No change rebuild to pick up liblttng-ust2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 30 Oct 2013 16:24:04 -0700

autopilot (1.3.1+13.10.20131003.1-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Fix attribute error in click package support.
  * Remove a spurious log message. (LP: #1227852)
  * Fix several functional tests.
  * Fix a missing test dependency, and add more logging when a process
    exits before we find the introspection interface. (LP: #1229034)
  * Add a warning when an autopilot query returns many items, and should
    probably be optimised. (LP: #1227830)

  [ Jamie Strandboge ]
  * Adds the apparmor rule needed for click package testing.

  [ Christopher Lee ]
  * Backout additions for logging when a process dies.
  * Changes how the proxy objects are created so the inheritance is
    correct. (LP: #1230046)
  * Fixes issue where a classes _Backend can be None causes uncaught
    exceptions. (LP: #1233972)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 343

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Oct 2013 09:40:57 +0000

autopilot (1.3.1+13.10.20130918-0ubuntu1) saucy; urgency=low

  [ Jean-Baptiste Lallement ]
  * Added autopilot-sandbox-run to run autopilot tests in a 'fake' X
    server. Xephyr and Xvfb are supported. (LP: #1226070)

  [ Thomi Richards ]
  * kzgdiparg ugp srgp s r ua. (LP: #1205204)
  * Add support for click packages. (LP: #1212833)
  * Update StateNotFoundErrror exception to give more informative
    messages. (LP: #1225701)
  * Fix select_single inconsistency. (LP: #1225692)
  * Create wait_select_single method. (LP: #1223428)
  * Add test case for applications that exit with SIGABRT when launched
    with autopilot.
  * Back out changes that would break test case compatibility. (LP:
    #1226505)
  * Performance improvments for launching and closing applications under
    test with autopilot. (LP: #1218636)

  [ Andy Doan ]
  * Add support for click packages. (LP: #1212833)

  [ Christopher Lee ]
  * commit message. (LP: #1205949)

  [ Martin Pitt ]
  * Add bamfdaemon to autopilot-desktop dependencies, to avoid long
    delays when running autopilot in minimal environments. (LP:
    #1224970)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 333

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Sep 2013 06:03:34 +0000

autopilot (1.3.1+13.10.20130906.1-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * This addition adds a checking mechanism that will fail a test if the
    mouse is caught in an endless loop. (LP: #1220494)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 321

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Sep 2013 10:03:57 +0000

autopilot (1.3.1+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ Andy Doan ]
  * make autopilot-touch require libautopilot-qt This is pretty much
    required for all touch testing and will allow libautopilot-qt to be
    included in our read-only system-images.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 319

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 02:04:15 +0000

autopilot (1.3.1+13.10.20130830-0ubuntu1) saucy; urgency=low

  [ Martin Pitt ]
  * Miscellaneous packaging fixes: - Drop unused python-zeitgeist
    dependency - Add missing debhelper tokens - Add missing python-gi
    build dependency to fix FTBFS - debian/copyright: Update to 1.0
    standard - Bump Standards-Version to 3.9.4.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 317

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 02:04:00 +0000

autopilot (1.3.1+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Alexander Sack ]
  * Fix autopilot udev rules. Use SYMLINK= instead of NAME= to prevent
    udev falling over. This most likely will fix autopilot unity8 having
    issues with accessing /dev/uinput as phablet user. Fix: systemd-
    udevd[554]: NAME=autopilot-uinput ignored, kernel device nodes can
    not be renamed; please fix it in /lib/udev/rules.d/61-autopilot-
    uinput.rules:2 See autopilot failing:
    https://jenkins.qa.ubuntu.com/job/saucy-touch-maguro-smoke-unity8-
    autopilot/lastSuccessfulBuild/artifact/clientlogs/dmesg.log.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 315

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 10:04:03 +0000

autopilot (1.3.1+13.10.20130823-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Adds the Ubuntu Keyboard OSK as an input backend .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 313

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 06:04:06 +0000

autopilot (1.3.1+13.10.20130812-0ubuntu1) saucy; urgency=low

  [ Andrea Azzarone ]
  * Fix wait_until_application_is_running function adapting it to new
    bamf dbus paths. (LP: #1211174)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 311

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 18:04:09 +0000

autopilot (1.3.1+13.10.20130809.4-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * log message fix. (LP: #1209449)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 309

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 14:58:47 +0000

autopilot (1.3.1+13.10.20130809-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Fix parameter matching for special characters. (LP: #1209029)

  [ Christopher Lee ]
  * Fix parameter matching for special characters. (LP: #1209029)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 307

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 00:02:14 +0000

autopilot (1.3.1+13.10.20130808-0ubuntu1) saucy; urgency=low

  [ chris.gagnon ]
  * convert strings in dbus introspection waitfor function to unicode,
    use unicode(e) when returning a mismatch instead of str(e). (LP:
    #1207116)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 305

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Aug 2013 00:01:11 +0000

autopilot (1.3.1+13.10.20130803-0ubuntu1) saucy; urgency=low

  [ chris.gagnon ]
  * add autopilot version to log when using autopilot run. (LP:
    #1201202)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 303

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 03 Aug 2013 00:02:02 +0000

autopilot (1.3.1+13.10.20130801-0ubuntu1) saucy; urgency=low

  [ Brandon Schaefer ]
  * Restarting IBus each time we change the engines causes tests to fail
    in the new version of IBus (1.5). Its also not needed anymore, as we
    can add things to the engine with out needing a restart.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 301

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 Aug 2013 00:02:24 +0000

autopilot (1.3.1+13.10.20130731-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Make autopilot give a better error message if the application exits
    before the test is done. (LP: #1206408)

  [ Andrea Azzarone ]
  * Use the unityshell key binding to enable/disable show desktop.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 299

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 31 Jul 2013 00:01:59 +0000

autopilot (1.3.1+13.10.20130730-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Added extra details regarding running/listing local copy of the code
    to the docs. (LP: #1205987)
  * Allows test author to pass custom dbus bus path to
    launch_test_application. (LP: #1206011)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 296

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 00:02:01 +0000

autopilot (1.3.1+13.10.20130727-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Better errors when searching to create a proxy object and the
    process no longer is running. (LP: #1198277)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 293

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 27 Jul 2013 00:02:50 +0000

autopilot (1.3.1+13.10.20130726-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Fix final PEP8 violations in autopilot source tree.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 291

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Jul 2013 00:02:04 +0000

autopilot (1.3.1+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Fix several trivial issues raised by pyflakes.

  [ Michał Sawicz ]
  * Add support for "\n" in the UInput keyboard backend. (LP: #1203788)

  [ Christopher Lee ]
  * Some minor additions to the autopilot documentation effort.
  * pep8 fixes.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 289

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 00:02:28 +0000

autopilot (1.3.1+13.10.20130724.1-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Add mouse log message. (LP: #1203613)
  * Update Pointer wrapper coordinates when performing drag operation on
    a touch device. (LP: #1203808)
  * Fix failing tests. (LP: #1204031)

  [ Leo Arias ]
  * Fixed pep8 errors in autopilot/tests/unit, part 1. (LP: #1201057)
  * Fixed pep8 errors in autopilot/tests/unit, part 2. (LP: #1201057)
  * Fixed pep8 errors in the autopilot folder. (LP: #1201057)

  [ Christopher Lee ]
  * Fixes bug 1203716 where patch_environment didn't cleanup after
    itself. (LP: #1203716)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 284

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Jul 2013 07:35:34 +0000

autopilot (1.3.1+13.10.20130722-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Silence non fatal error message from logs when attempting to import
    Gdk. (LP: #1202609)
  * Update autopilot desktop depends gir gtk from 2.0 -> 3.0.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 276

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 22 Jul 2013 00:02:15 +0000

autopilot (1.3.1+13.10.20130717-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Fixes bug where the proxy process object wasn't being set properly.
    (LP: #1200560)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 273

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 00:02:12 +0000

autopilot (1.3.1+13.10.20130715-0ubuntu1) saucy; urgency=low

  [ Leo Arias ]
  * Fixed pep8 errors in autopilot/input. (LP: #1201057)
  * Fixed pep8 errors in autopilot/process and autopilot/matchers. (LP:
    #1201057)
  * Fixed pep8 errors in autopilto/vis and autopilot/display. (LP:
    #1201057)
  * Fixed pep8 errors in autopilot/introspection. (LP: #1201057)
  * Fixed pep8 errors in autopilot/functional. (LP: #1201057)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 271

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Jul 2013 00:01:56 +0000

autopilot (1.3.1+13.10.20130712-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * I don't like it, but it's the easiest way - make autopilot-touch
    Arch: any and make the python-ubuntu-platform-api [armhf] dependent.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 265

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Jul 2013 00:02:34 +0000

autopilot (1.3.1+13.10.20130710-0ubuntu1) saucy; urgency=low

  [ Jean-Baptiste Lallement ]
  * Adds option --record-options to 'run' command to pass additional
    arguments to recordmydesktop. (LP: #1197384)

  [ Thomi Richards ]
  * Various documentation fixes. (LP: #1198227)
  * Fix custom emulator dbus address caching. (LP: #1197911)

  [ Leo Arias ]
  * Fix custom emulator dbus address caching. (LP: #1197911)

  [ Christopher Lee ]
  * Test logger no longer assumes it will only be used once per test.
    (LP: #1197993)
  * Fix on_test_end class methods. (LP: #1197989)
  * Fixed nested testcases giving grief for video recording. (LP:
    #1189654, #1198807)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 263

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Jul 2013 06:22:52 +0000

autopilot (1.3.1+13.10.20130703-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * More docs for autopilot.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 256

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Jul 2013 00:01:38 +0000

autopilot (1.3.1+13.10.20130701-0ubuntu1) saucy; urgency=low

  [ Leo Arias ]
  * Cast to int the destination point when moving the mouse. (LP:
    #1195499)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 254

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Jul 2013 00:02:36 +0000

autopilot (1.3.1+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Leo Arias ]
  * Added to the tutorial the step to pass the custom emulator as an
    argument to the launch_test_application method. (LP: #1195092)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 252

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 00:01:36 +0000

autopilot (1.3.1+13.10.20130627-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Autopilot will now check dbus wire protocol version.

  [ Christopher Lee ]
  * Public API for getting a proxy object for a launched application.
    (LP: #1176150)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 250

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 00:01:52 +0000

autopilot (1.3.1daily13.06.25-0ubuntu1) saucy; urgency=low

  [ Christopher Lee ]
  * Make sure the Custom emulators _Backend is set when creating an
    introspection object. (LP: #1191164)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 247

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Jun 2013 00:01:13 +0000

autopilot (1.3.1daily13.06.15-0ubuntu1) saucy; urgency=low

  [ chris.gagnon ]
  * add how to contribute documentation. (LP: #1188396)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 245

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 15 Jun 2013 00:02:27 +0000

autopilot (1.3.1daily13.06.13-0ubuntu1) saucy; urgency=low

  [ Francis Ginther ]
  * Extends the getting_started tutorial by adding content for "A Test
    with Interaction" and "The Eventually Matcher" sections.

  [ Christopher Lee ]
  * Added an extra check so that a 'failing' test wasn't recorded if it
    was in fact a skipping test. (LP: #1189655)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 243

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Jun 2013 00:02:39 +0000

autopilot (1.3.1daily13.06.12-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Bump version number to 1.3.1, thereby releasing this milestone.

  [ Nick Dedekind ]
  * Fixed mouse X&Y co-ordinates using _mouse instead of _device.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 240

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Jun 2013 00:03:23 +0000

autopilot (1.3daily13.06.05-0ubuntu2) saucy; urgency=low

  * autopilot-touch only suggests python-ubuntu-platform-api for now.
    It's not in distro and we need that requirement to be fulfilled to
    have unity 7, 100 scopes and the touch stack to distro.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Jun 2013 13:33:46 +0200

autopilot (1.3daily13.06.05-0ubuntu1) saucy; urgency=low

  [ Barry Warsaw ]
  * Ship tests in a separate binary package. (LP: #1170105)

  [ chris.gagnon ]
  * add click_object to mouse. (LP: #1175328)
  * Add option to run tests in random order. (LP: #1175327)
  * don't delete the /tmp/autopilot folder during functional tests if it
    already exists lp:1182755. (LP: #1182755)
  * don't require -r if -rd is used fixes lp:1183618. (LP: #1183618)
  * make autopilot vis use utf8 instead of ascii. (LP: #1185991)
  * Add tests around autopilot video recording command line parameters.

  [ Didier Roche ]
  * don't create circular dependency. python-autopilot should recommends
    -desktop or -touch autopilot, but don't dep on them.

  [ Leo Arias ]
  * Fixed typo: AutopilotProxyObect -> AutopilotProxyObject. (LP:
    #1173404)

  [ Christopher Lee ]
  * Add otto directive, for use in the documentation.
  * Changes to xpathselect mean that the dbus tuple returns the objects
    full path (was just the object name). (LP: #1155351)
  * autopilot.introspection get_application_launcher potentially calls
    exit(1) if it fails to detect the application launcher. This
    shouldn't exit but do something else (probably raise an exception?).
    (LP: #1171290)
  * Fix launch_test_application so it can launch applications from
    $PATH. (LP: #1171298)
  * Fix several autopilot tests. (LP: #1171294)
  * Queries are now recursive from the node itself, not the root. (LP:
    #1144288)
  * Fixes bug lp:1174552 Within testcase change self.screen_geo to
    self.display. (LP: #1174552)
  * Within AutopilotTestCase, delay creation of input devices, display
    and process manager until required.
  * autopilot.clipboard now only imports the Gdk, Gtk modules when the
    method is actually called.
  * Fixed exception being thrown by bamf process manager, twas a
    spelling/import error. (LP: #1174831)
  * Two minor fixes to allow the Unity 3d tests to work with autopilot
    1.3.
  * Fixes expceptions thrown due to dbuss sessions created before
    gobject main loop. (LP: #1175668)
  * Add a package with the tracepoint module. (LP: #1177612)
  * Fixes bug https://bugs.launchpad.net/autopilot/+bug/1178014. . (LP:
    #1178014)
  * Fixed an autopilot test and added debugging logging to uinput
    backend.
  * Added --just-suites option to list. Tests also included. (LP:
    #1175825)
  * Adding functionality to have code that runs after a test runs (after
    the tests addCleanup) as well as before. (LP: #1184491)
  * Fixes a couple of places where code wasn't updated with the recent
    cleanup/start/end test code execution changes. . (LP: #1185790)

  [ Thomi Richards ]
  * _pick_variant now raises an exception when requested backend was not
    available. (LP: #1169355)
  * Recommand installation of libautopilot-gtk and libautopilot-qt. (LP:
    #1158983)
  * Several documentation fixes.
  * Document test scenarios for autopilot.
  * Add otto directive, for use in the documentation.
  * Ship tests in a separate binary package. (LP: #1170105)
  * Fix exception formatting. (LP: #1171303)
  * Autopilot can now test itself. Adds tests for the input stack. (LP:
    #1171292)
  * Fix copyright headers in all files. (LP: #1171279)
  * Make it easier to specify an introspection type. (LP: #1172914)
  * Additional porting documents.
  * Add documentation for the DBusIntrospectionObject class.
  * Split vis tool. (LP: #1174587)
  * Changes to Dbus address backend code to make it easier to get a
    proxy object from a dbus address. (LP: #1174425)
  * Fix UInput code to work with the latest python-evdev package, and
    added the Pointer class to unify the Mouse and Touch interfaces.
    (LP: #1169363)
  * Make sure applications are closed quickly. (LP: #1174931)
  * Clean up input stacks.
  * Make the X11 display module fail to initialise if the display
    information cannot be retrieved. (LP: #1175663)
  * Change autopilot packaging to only install packages required on each
    platform. (LP: #1175694)
  * Remove the explicit dependency checking code in bin/autopilot.
  * Remove the un-used check_depends function.
  * Fix input uinput backend to pick up the correct display backend.
  * Fix a typo in the autopilot-touch metapackage.
  * Split tests into unit and functional tests. Make sure unit tests are
    run as part of the package build. (LP: #1037937)
  * Install python-autopilot-vis when installing the autopilot-desktop
    package.
  * Pass additional arguments to application being launched. (LP:
    #1177107)
  * X11 mouse emulator will not move to values far off the screens left
    side edge.
  * Update packaging control files to reflect the new test layout.
  * Add a package with the tracepoint module. (LP: #1177612)
  * fix bug lp:1180124 - don't patch PYTHONPATH when we're running from
    /usr/ somewhere, and don't explicitly patch it in the functional
    test suite. (LP: #1180124)
  * Fix several packaging bugs. (LP: #1180209, #1180210, #1180207)
  * Branch for fixing the latest failing autopilot tests.
  * Allow keyboards to be created outside the test case runs, useful for
    testing. (LP: #1182303)
  * Disable processmanager snapshotting if there's no processmanager on
    the current platform. (LP: #1182488)
  * Define a method for defining custom emulator base classes.
  * Add more documentation (basic tutorial).
  * Add a -v, --version command line option. (LP: #1183700)
  * Add python-evdev dependency to autopilot-desktop. (LP: #1183955)

  [ Francis Ginther ]
  * Add udev rules to create an autopilot specific uinput dev node owned
    by the autopilot group. (LP: #1143038)
  * Allow fallback to /dev/uinput if /dev/autopilot-uinput does not
    exist. The touch image does not support udev and therefore does not
    have /dev/autopilot-udev. It does have /dev/uinput. So the solution
    is to fallback and attempt to use /dev/uinput. This should be a
    short-term workaround until the touch images enable udev support.
    (LP: #1180864)

  [ Łukasz 'sil2100' Zemczak ]
  * Branch for fixing the latest failing autopilot tests.
  * I think we should use qmlviewer instead of qmlscene in tests of
    autopilot - it's safer, as other qt tests use Qt4 anyway.
  * This is stupid but... we need to check A LOT of cases to really know
    if qmlscene/qmlviewer is installed, especially when qtchooser is
    used. qtchooser makes it all much more complicated because using
    'which' is not enough, since it installs its wrappers to /usr/bin.
    We do that since we want to be distro independent.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 236

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Jun 2013 00:02:45 +0000

autopilot (1.3daily13.05.31ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ chris.gagnon ]
  * make autopilot vis use utf8 instead of ascii. (LP: #1185991)
  * Add tests around autopilot video recording command line parameters.

  [ Christopher Lee ]
  * Adding functionality to have code that runs after a test runs (after
    the tests addCleanup) as well as before. (LP: #1184491)
  * Fixes a couple of places where code wasn't updated with the recent
    cleanup/start/end test code execution changes. . (LP: #1185790)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 234 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 May 2013 00:01:40 +0000

autopilot (1.3daily13.05.30ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * don't create circular dependency. python-autopilot should recommends
    -desktop or -touch autopilot, but don't dep on them.

  [ Łukasz 'sil2100' Zemczak ]
  * This is stupid but... we need to check A LOT of cases to really know
    if qmlscene/qmlviewer is installed, especially when qtchooser is
    used. qtchooser makes it all much more complicated because using
    'which' is not enough, since it installs its wrappers to /usr/bin.
    We do that since we want to be distro independent.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 229 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 May 2013 00:02:02 +0000

autopilot (1.3daily13.05.29ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Define a method for defining custom emulator base classes.
  * Add more documentation (basic tutorial).
  * Add a -v, --version command line option. (LP: #1183700)
  * Add python-evdev dependency to autopilot-desktop. (LP: #1183955)

  [ chris.gagnon ]
  * don't delete the /tmp/autopilot folder during functional tests if it
    already exists lp:1182755. (LP: #1182755)
  * don't require -r if -rd is used fixes lp:1183618. (LP: #1183618)

  [ Łukasz 'sil2100' Zemczak ]
  * I think we should use qmlviewer instead of qmlscene in tests of
    autopilot - it's safer, as other qt tests use Qt4 anyway.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 226 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 29 May 2013 00:02:21 +0000

autopilot (1.3daily13.05.23ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Disable processmanager snapshotting if there's no processmanager on
    the current platform. (LP: #1182488)

  [ chris.gagnon ]
  * Add option to run tests in random order. (LP: #1175327)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 218 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 May 2013 00:01:44 +0000

autopilot (1.3daily13.05.22.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Add missing dependencies to python-autopilot-tests required for running
      the tests

  [ Thomi Richards ]
  * fix bug lp:1180124 - don't patch PYTHONPATH when we're running from
    /usr/ somewhere, and don't explicitly patch it in the functional
    test suite. (LP: #1180124)
  * Fix several packaging bugs. (LP: #1180209, #1180210, #1180207)
  * Branch for fixing the latest failing autopilot tests.
  * Allow keyboards to be created outside the test case runs, useful for
    testing. (LP: #1182303)

  [ Francis Ginther ]
  * Allow fallback to /dev/uinput if /dev/autopilot-uinput does not
    exist. The touch image does not support udev and therefore does not
    have /dev/autopilot-udev. It does have /dev/uinput. So the solution
    is to fallback and attempt to use /dev/uinput. This should be a
    short-term workaround until the touch images enable udev support.
    (LP: #1180864)

  [ chris.gagnon ]
  * add click_object to mouse. (LP: #1175328)

  [ Christopher Lee ]
  * Fixes bug https://bugs.launchpad.net/autopilot/+bug/1178014. . (LP:
    #1178014)
  * Fixed an autopilot test and added debugging logging to uinput
    backend.
  * Added --just-suites option to list. Tests also included. (LP:
    #1175825)

  [ Łukasz 'sil2100' Zemczak ]
  * Branch for fixing the latest failing autopilot tests.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 215 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 May 2013 09:55:30 +0000

autopilot (1.3daily13.05.10ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Enable support for lttng tracing in autopilot (LP: #1177612)

  [ Francis Ginther ]
  * Autopilot needs to be run as root to access /dev/uinput (LP:
    #1143038)

  [ Thomi Richards <thomi.richards@canonical.com>, Christopher Lee ]
  * Enable support for lttng tracing in autopilot (LP: #1177612)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 204 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 May 2013 00:01:08 +0000

autopilot (1.3daily13.05.08ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot launch command does not support passing arguments to
    launched applications (LP: #1177107)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 200 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 May 2013 00:01:01 +0000

autopilot (1.3daily13.05.07ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * split tests into headless and "all" (LP: #1037937)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 197 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 May 2013 00:01:09 +0000

autopilot (1.3daily13.05.06ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 194 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 May 2013 00:01:03 +0000

autopilot (1.3daily13.05.03ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Create version 1.3 (LP: #1168971)

  [ Sebastien Bacher ]
  * use wrong mahjongg.desktop name (LP: #1165003)

  [ Thomi Richards <thomi.richards@canonical.com>, Barry Warsaw ]
  * Autopilot tests need to be packaged separately (LP: #1170105)

  [ Leo Arias ]
  * Typo on code: ApplicationProxyObect (LP: #1173404)

  [ Christopher Lee ]
  * Cannot launch test applications that are in $PATH (LP: #1171298)
  * autopilot.introspection get_application_launcher calls exit(1) (LP:
    #1171290)
  * DBus wire protocol changes required (LP: #1155351)
  * Bamf backend of Process Manager start_app is raises Exception (LP:
    #1174831)
  * It should be possible to search the object tree recursively starting
    from a given node (LP: #1144288)
  * AutopilotTestCase.screen_geo needst o be renamed (LP: #1174552)
  * DbusSessions created before the GObject main loop causing an
    exception. (LP: #1175668)
  * Autopilot tests are failing (LP: #1171294)

  [ Thomi Richards ]
  * Autopilot copyright header fix (LP: #1171279)
  * Need wrappers that convert from Mouse <-> Touch interfaces (LP:
    #1169363)
  * Asking for a specific autopilot stack backend should either succeed
    or raise an exception (LP: #1169355)
  * Bad formatting on exception (LP: #1171303)
  * Make it easier to select an introspection type. (LP: #1172914)
  * Autopilot picks the X11 display stack on the phablet devices (LP:
    #1175663)
  * must export PYTHONPATH before using autopilot to run it's own tests
    (LP: #1171292)
  * Autopilot tests need to be packaged separately (LP: #1170105)
  * Autopilot is slow to kill Qt apps (LP: #1174931)
  * Split autopilot vis into a separate package (LP: #1174587)
  * Autopilot should not install packages not needed for the current
    platform (LP: #1175694)
  * Autopilot to support applications from more than one session bus
    (LP: #1174425)
  * Autopilot doesn't depend on or recommend introspection libs (LP:
    #1158983)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 191 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 03 May 2013 00:01:17 +0000

autopilot (1.2daily13.04.09-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 158

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Apr 2013 00:02:08 +0000

autopilot (1.2daily13.04.08-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * use wrong mahjongg.desktop name (LP: #1165003)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 157

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Apr 2013 00:02:11 +0000

autopilot (1.2daily13.03.26-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 155

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Mar 2013 00:01:59 +0000

autopilot (1.2daily13.03.21-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 153

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 21 Mar 2013 00:01:46 +0000

autopilot (1.2daily13.03.18-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot vis crashes when Qt app returns empty reply for signal and
    method lists (LP: #1155340)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 150

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 18 Mar 2013 00:02:01 +0000

autopilot (1.2daily13.03.05-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 148

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 05 Mar 2013 00:01:36 +0000

autopilot (1.2daily13.03.01-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 146

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 01 Mar 2013 00:01:46 +0000

autopilot (1.2daily13.02.25-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot does not work with wrapper scripts (LP: #1131405)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 144

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 25 Feb 2013 11:05:30 +0000

autopilot (1.2daily13.02.22-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot launch tool hides process stdout & stderr (LP: #1130984)
  * Autopilot launch needs to work with non-binary processes (LP:
    #1130986)
  * Cannot expand introspection node in 'autopilot vis' after it has
    been selected. (LP: #1130472)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 142

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 22 Feb 2013 00:02:36 +0000

autopilot (1.2daily13.02.14-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot needs to give better feedback when it cannot launch a test
    application (LP: #1122371)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 138

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 14 Feb 2013 00:01:51 +0000

autopilot (1.2daily13.02.13-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Cannot mix unity emulators with application introspection objects
    (LP: #1122658)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 135

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 13 Feb 2013 00:01:44 +0000

autopilot (1.2daily13.02.12-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot vis floods DBus interface (LP: #1121659)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 133

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 12 Feb 2013 00:01:47 +0000

autopilot (1.2daily13.02.08-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 130

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 08 Feb 2013 16:34:22 +0000

autopilot (1.2daily13.02.06-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 128

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 06 Feb 2013 00:00:54 +0000

autopilot (1.2daily13.01.28-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot raises an exception when the introspection interface for
    an application cannot be found. (LP: #1104532)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 123

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 28 Jan 2013 00:00:55 +0000

autopilot (1.2daily13.01.25-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot logging framework is not configured for all commands (LP:
    #1104481)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 120

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 25 Jan 2013 00:00:57 +0000

autopilot (1.2daily13.01.23-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 118

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 23 Jan 2013 00:01:01 +0000

autopilot (1.2daily13.01.21-0ubuntu1) raring; urgency=low

  [ Francis Ginther ]
  * Test failures/errors should appear in the verbose log (LP: #1067162)
  * Verbose log contains duplicate entries (LP: #1101418)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 116

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 21 Jan 2013 00:00:54 +0000

autopilot (1.2daily13.01.10-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Cannot easily launch applications with introspection support enabled
    (LP: #1097102)
  * autopilot uses deprecated methods. (LP: #1095865)
  * Help string for 'vis' command is wrong (LP: #1097058)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 114

  [ Allan LeSage ]
  * Update GTK+ introspection for renamed module (minus '-gtk').

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 10 Jan 2013 16:12:21 +0000

autopilot (1.2daily12.12.10-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * debian/control:
    - update build-dep for latest deps
  * Automatic snapshot from revision 90 (bootstrap):
    - autopilot is checking for gtk2 gconf instead of real  (LP: #1060973)
    - autopilot exits with 0 when a test error-ed (LP: #1050208)
    - Fixes a wrong import of make_proxy_object_from_service_name.
      (LP: #1053023)
    - autopilot crashed with AssertionError in _get_name_from_path(): Path must
      be within the project (LP: #1044701)
    - Adds a man page for autopilot (LP: #1037940)

  [ Thomi Richards ]
  * Autopilot ibus module should use Gir ibus module, not 'python-ibus'
    (LP: #1078917)
  * No timestamp in verbose log (LP: #1067161)
  * Less than (<) keypress emulates as a greater than keypress (>) (LP:
    #1081318)
  * Eventually() should have a variable time delay (LP: #1083435)

  [ Leo Arias ]
  * Typos in getting started page (LP: #1078692)
  * Typo in writing good tests page (LP: #1079129)
  * Typo in docs: responde (LP: #1078680)
  * Typo in docs: autopiolot (LP: #1078683)
  * Typo in running autopilot page (LP: #1078710)

  [ Francis Ginther ]
  * UnicodeDecodeError after test-suite has finished (LP: #1078732)

  [ Martin Mrazik ]
  * UnicodeDecodeError after test-suite has finished (LP: #1078732)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 111

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 10 Dec 2012 00:01:06 +0000

autopilot (1.1) quantal; urgency=low

  * Release r64 as 1.1

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2012 11:26:01 +0200

autopilot (0.1.2) quantal; urgency=low

  * Update to trunk r63, fix compizconfig use (lp: #1038844)
  * Depends on python-qt4

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Aug 2012 14:52:30 +0200

autopilot (0.1.1) quantal; urgency=low

  * add python-setuptools build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Aug 2012 11:40:24 +0200

autopilot (0.1) quantal; urgency=low

  * Initial Release.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Aug 2012 10:03:58 +0200
